Bug 833209 - banshee 2.4 fails to load notification icon
banshee 2.4 fails to load notification icon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Christian Krause
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 17:31 EDT by javiermon
Modified: 2012-07-01 16:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-01 16:05:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javiermon 2012-06-18 17:31:23 EDT
Description of problem:
banshee notification icon doesnt work

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. start banshee with notification extension enabled from terminal
2. see crash log
  
Actual results:


Expected results:


Additional info:

[Warn  23:26:26.011] Caught an exception - System.TypeLoadException: Could not load type 'Banshee.NotificationArea.NotificationAreaService' from assembly 'Banshee.NotificationArea, Version=2.4.0.0, Culture=neutral, PublicKeyToken=null'. (in `mscorlib')
  at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0 
  at System.Reflection.MonoCMethod.Invoke (BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000] in <filename unknown>:0 
  at System.Reflection.ConstructorInfo.Invoke (System.Object[] parameters) [0x00000] in <filename unknown>:0 
  at System.Activator.CreateInstance (System.Type type, Boolean nonPublic) [0x00000] in <filename unknown>:0 
  at System.Activator.CreateInstance (System.Type type) [0x00000] in <filename unknown>:0 
  at Mono.Addins.TypeExtensionNode.CreateInstance () [0x00000] in <filename unknown>:0 
  at Mono.Addins.InstanceExtensionNode.CreateInstance (System.Type expectedType) [0x00000] in <filename unknown>:0 
  at Banshee.ServiceStack.ServiceManager.StartExtension (Mono.Addins.TypeExtensionNode node) [0x00000] in <filename unknown>:0 
[Warn  23:26:26.012] Extension `/Banshee/ServiceManager/Service/__nid_3' not started: Could not load type 'Banshee.NotificationArea.NotificationAreaService' from assembly 'Banshee.NotificationArea, Version=2.4.0.0, Culture=neutral, PublicKeyToken=null'.
Comment 1 javiermon 2012-06-21 17:22:48 EDT
Hi

notify-sharp-0.4.0-0.18.20100411svn.fc17.x86_64 seems to have fixed this issue at least in my machine.
Comment 2 Christian Krause 2012-07-01 16:05:46 EDT
Yes, update https://admin.fedoraproject.org/updates/FEDORA-2012-9251/ndesk-dbus-0.6.1a-11.fc17,ndesk-dbus-glib-0.4.1-12.fc17,notify-sharp-0.4.0-0.18.20100411svn.fc17 was supposed to fix this problem.

Based on comment #1 I'll close this bug report.

Note You need to log in before you can comment on or make changes to this bug.